<script>
import ShareIcon from '@/assets/icons/share.svg?inline';

export default {
  name: 'BhShareButtonUi',
  components: {
    ShareIcon,
  },
};
</script>

<template>
  <!-- prettier-ignore -->
  <button
    data-cid="{ BhShareButtonUi }"
    type="button"
    aria-label="Comparteix"
    class="[ flex items-center ][ px-1 rounded-sm border border-transparent focus:outline-none ]"
    @click="$emit('click')"
  >
    <share-icon class="flex-shrink-0 h-6 w-6 text-gray-400" />
    <span class="sr-only">Comparteix</span>
  </button>
</template>
